WBCE CMS Header class.login.php increase_attempts X-Forwarded-For excessive authentication

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
4.9$0-$5k0.00

A vulnerability, which was classified as problematic, has been found in WBCE CMS (Content Management System) (affected version not known). Affected by this issue is the function increase_attempts of the file wbce/framework/class.login.php of the component Header Handler. The manipulation of the argument X-Forwarded-For with an unknown input leads to a excessive authentication vulnerability. Using CWE to declare the problem leads to CWE-307. The software does not implement sufficient measures to prevent multiple failed authentication attempts within in a short time frame, making it more susceptible to brute force attacks. Impacted is confidentiality.

The weakness was released 11/15/2022. The advisory is shared for download at github.com. This vulnerability is handled as CVE-2022-4006. There are known technical details, but no exploit is available. The MITRE ATT&CK project declares the attack technique as T1110.001.

By approaching the search of inurl:wbce/framework/class.login.php it is possible to find vulnerable targets with Google Hacking.

Applying the patch d394ba39a7bfeb31eda797b6195fd90ef74b2e75 is able to eliminate this problem. The bugfix is ready for download at github.com.

Productinfo

Type

Vendor

Name

License

  • free

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 5.0
VulDB Meta Temp Score: 4.9

VulDB Base Score: 3.7
VulDB Temp Score: 3.6
VulDB Vector: 🔒
VulDB Reliability: 🔍

NVD Base Score: 7.5
NVD Vector: 🔒

CNA Base Score: 3.7
CNA Vector (VulDB): 🔒

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploitinginfo

Class: Excessive authentication
CWE: CWE-307 / CWE-799 / CWE-400
ATT&CK: T1110.001

Local: No
Remote: Yes

Availability: 🔒
Status: Not defined
Google Hack: 🔒

EPSS Score: 🔒
EPSS Percentile: 🔒

Price Prediction: 🔍
Current Price Estimation: 🔒

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Patch
Status: 🔍

0-Day Time: 🔒

Patch: d394ba39a7bfeb31eda797b6195fd90ef74b2e75

Timelineinfo

11/15/2022 Advisory disclosed
11/15/2022 +0 days CVE reserved
11/15/2022 +0 days VulDB entry created
12/18/2022 +33 days VulDB last update

Sourcesinfo

Advisory: d394ba39a7bfeb31eda797b6195fd90ef74b2e75
Status: Confirmed

CVE: CVE-2022-4006 (🔒)

Entryinfo

Created: 11/15/2022 09:39 PM
Updated: 12/18/2022 04:08 PM
Changes: 11/15/2022 09:39 PM (43), 12/18/2022 04:02 PM (4), 12/18/2022 04:08 PM (21)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Interested in the pricing of exploits?

See the underground prices here!